<template>
  <div id="header-content">
    <div v-if="isMobile">
      <div class="relative font-sans font-normal flex flex-row align-middle justify-between h-18 my-0 w-full bg-indigo-700">
        <div class="w-24 h-auto">
          <Navigation />
        </div>
        <div class="brand flex justify-center w-full my-auto px-4 text-white font-semibold"><nuxt-link to="/">i9Storage eCommerce</nuxt-link></div>
        <div class="flex w-auto px-2 justify-center">
          <DropdownMenu />
        </div>
        <div class="flex px-2 justify-center my-auto h-full items-baseline">
          <nuxt-link :to="localePath({ name: 'cart' })" class="flex items-start">
            <div><svg class="h-8 w-8 text-white font-light" fill="currentColor" viewBox="0 0 64 64"><path d="M60.55 23h-6.19L37.93 9.87C37.97 9.58 38 9.29 38 9c0-3.31-2.69-6-6-6C28.69 3 26 5.69 26 9c0 0.29 0.03 0.58 0.07 0.87L9.64 23H3.45C1.54 23 0 24.57 0 26.5S1.54 30 3.45 30h57.11C62.46 30 64 28.43 64 26.5S62.46 23 60.55 23zM16.04 23l11.95-9.55C29.05 14.41 30.46 15 32 15c1.55 0 2.95-0.59 4.01-1.55L47.96 23H16.04z"></path><path d="M7 60c0.23 1.58 1 4 5 4 0 0 37 0 40 0 4 0 4.77-2.41 5-4 1-7 4-28 4-28H3C3 32 6 53 7 60zM46 39.4C46 38.07 47.12 37 48.5 37s2.5 1.07 2.5 2.4v18.21C51 58.93 49.88 60 48.5 60S46 58.93 46 57.6V39.4zM35 39.4C35 38.07 36.12 37 37.5 37s2.5 1.07 2.5 2.4v18.21C40 58.93 38.88 60 37.5 60S35 58.93 35 57.6V39.4zM24 39.4C24 38.07 25.12 37 26.5 37s2.5 1.07 2.5 2.4v18.21C29 58.93 27.88 60 26.5 60S24 58.93 24 57.6V39.4zM13 39.4C13 38.07 14.12 37 15.5 37s2.5 1.07 2.5 2.4v18.21C18 58.93 16.88 60 15.5 60S13 58.93 13 57.6V39.4z"></path></svg></div>
            <div class="inline-block text-xs bg-indigo-500 text-white rounded-full px-2 -ml-2">{{ cartCount }}</div>
          </nuxt-link>
        </div>
      </div>
      <div class="relative px-4 pb-2 bg-indigo-700">
        <SearchComponent class="w-full md:w-80 lg:w-80" />
      </div>
    </div>
    <div v-else-if="isTablet">
      <div class="relative font-sans font-normal md:flex md:flex-row align-middle justify-between w-full bg-indigo-700">
        <div class="w-24 h-auto">
          <Navigation />
        </div>
        <div class="brand w-64 my-auto px-4 text-white font-semibold"><nuxt-link to="/">i9Storage eCommerce</nuxt-link></div>
        <div class="md:left-0 py-4">
          <SearchComponent class="w-108" />
        </div>
        <div class="options px-2 w-16 my-auto">
          <DropdownMenu />
        </div>
        <div class="flex w-48 my-auto h-full items-start">
          <nuxt-link :to="localePath({ name: 'cart' })" class="flex items-start">
            <svg class="h-8 w-8 text-white font-light" fill="currentColor" viewBox="0 0 64 64"><path d="M60.55 23h-6.19L37.93 9.87C37.97 9.58 38 9.29 38 9c0-3.31-2.69-6-6-6C28.69 3 26 5.69 26 9c0 0.29 0.03 0.58 0.07 0.87L9.64 23H3.45C1.54 23 0 24.57 0 26.5S1.54 30 3.45 30h57.11C62.46 30 64 28.43 64 26.5S62.46 23 60.55 23zM16.04 23l11.95-9.55C29.05 14.41 30.46 15 32 15c1.55 0 2.95-0.59 4.01-1.55L47.96 23H16.04z"></path><path d="M7 60c0.23 1.58 1 4 5 4 0 0 37 0 40 0 4 0 4.77-2.41 5-4 1-7 4-28 4-28H3C3 32 6 53 7 60zM46 39.4C46 38.07 47.12 37 48.5 37s2.5 1.07 2.5 2.4v18.21C51 58.93 49.88 60 48.5 60S46 58.93 46 57.6V39.4zM35 39.4C35 38.07 36.12 37 37.5 37s2.5 1.07 2.5 2.4v18.21C40 58.93 38.88 60 37.5 60S35 58.93 35 57.6V39.4zM24 39.4C24 38.07 25.12 37 26.5 37s2.5 1.07 2.5 2.4v18.21C29 58.93 27.88 60 26.5 60S24 58.93 24 57.6V39.4zM13 39.4C13 38.07 14.12 37 15.5 37s2.5 1.07 2.5 2.4v18.21C18 58.93 16.88 60 15.5 60S13 58.93 13 57.6V39.4z"></path></svg>
            <div class="inline-block text-xs bg-indigo-500 text-white rounded-full px-2 -ml-2">{{ cartCount }}</div>
          </nuxt-link>
        </div>
      </div>
    </div>
    <div v-else>
      <div class="relative font-sans font-normal flex flex-row align-middle justify-between w-full bg-indigo-700">
        <div class="brand my-auto px-8 w-40 text-white font-semibold"><nuxt-link to="/">i9Storage eCommerce</nuxt-link></div>
        <div class="flex flex-row">
          <div class="w-140 mt-4 px-4">
            <SearchComponent class="w-auto"/>
          </div>
          <div class="w-auto">
            <DropdownMenu />
          </div>
        </div>
        <div class="flex my-auto right-0 pr-8 w-auto items-start">
          <nuxt-link :to="localePath({ name: 'cart' })" class="flex items-start">
            <svg class="h-8 w-8 text-white font-light" fill="currentColor" viewBox="0 0 64 64"><path d="M60.55 23h-6.19L37.93 9.87C37.97 9.58 38 9.29 38 9c0-3.31-2.69-6-6-6C28.69 3 26 5.69 26 9c0 0.29 0.03 0.58 0.07 0.87L9.64 23H3.45C1.54 23 0 24.57 0 26.5S1.54 30 3.45 30h57.11C62.46 30 64 28.43 64 26.5S62.46 23 60.55 23zM16.04 23l11.95-9.55C29.05 14.41 30.46 15 32 15c1.55 0 2.95-0.59 4.01-1.55L47.96 23H16.04z"></path><path d="M7 60c0.23 1.58 1 4 5 4 0 0 37 0 40 0 4 0 4.77-2.41 5-4 1-7 4-28 4-28H3C3 32 6 53 7 60zM46 39.4C46 38.07 47.12 37 48.5 37s2.5 1.07 2.5 2.4v18.21C51 58.93 49.88 60 48.5 60S46 58.93 46 57.6V39.4zM35 39.4C35 38.07 36.12 37 37.5 37s2.5 1.07 2.5 2.4v18.21C40 58.93 38.88 60 37.5 60S35 58.93 35 57.6V39.4zM24 39.4C24 38.07 25.12 37 26.5 37s2.5 1.07 2.5 2.4v18.21C29 58.93 27.88 60 26.5 60S24 58.93 24 57.6V39.4zM13 39.4C13 38.07 14.12 37 15.5 37s2.5 1.07 2.5 2.4v18.21C18 58.93 16.88 60 15.5 60S13 58.93 13 57.6V39.4z"></path></svg>
            <div class="inline-block text-xs bg-indigo-500 text-white rounded-full px-2 -ml-2">{{ cartCount }}</div>
          </nuxt-link>
        </div>
      </div>
      <div class="relative container mx-auto flex flex-row">
        <div class="relative">
          <Navigation />
        </div>
        <ul class="flex">
          <li class="flex-1 mr-2">
            <nuxt-link class="menu-item cursor-pointer" :to="localePath({ name: 'categories-slug', params: { slug: 'fashion' } })">moda</nuxt-link>
          </li>
          <li class="flex-1 mr-2">
            <a class="menu-item" href="#">celulares</a>
          </li>
          <li class="flex-1 mr-2">
            <a class="menu-item" href="#">computadores</a>
          </li>
          <li class="flex-1 mr-2">
            <a class="menu-item" href="#">notebooks</a>
          </li>
          <li class="flex-1 mr-2">
            <a class="menu-item" href="#">novidades</a>
          </li>
        </ul>
      </div>
    </div>
  </div>
</template>

<script>
// import NavBar from '@/components/app/NavBar'
import Navigation from './header/Navigation'
import SearchComponent from './SearchComponent'
import DropdownMenu from './DropdownMenu'
import { mapGetters } from 'vuex'

export default {
  components: {
    // NavBar
    Navigation,
    SearchComponent,
    DropdownMenu
  },

  computed: {
    ...mapGetters({
      cartCount: 'cart/count'
    }),

    openedNav() {
      return this.$store.state.openedNav
    },

    navBarOpened() {
      return this.openedNav.status && this.openedNav.element === document.querySelector('.cd-dropdown-trigger')
    },

    dropdownOpened() {
      return this.openedNav.status && this.openedNav.element === document.querySelector('.dropdown')
    },

    isMobile() {
      return this.$store.state.isMobile
    },

    isTablet() {
      return this.$store.state.isTablet
    }
  },

  methods: {
    checkNav() {

    }
  }
}
</script>


<style lang="postcss" scoped>
  .menu-item {
    @apply relative inline-block bg-gradient-to-r from-gray-200 to-gray-200 bg-no-repeat text-center text-gray-700 py-3 px-4 font-light text-sm bg-minimum bg-mid transition-all duration-500;
  }

  .menu-item:hover {
    @apply bg-full;
  }

</style>
